Subject: Re: bug#38495: Emacs ignores ~/.Xdefaults and ~/.Xdefaults-hostname

From: Colin Baxter <[email-masked]>
Date: Thu, 05 Dec 2019 12:11:23 +0000

Dear Andrea,
>>>>> Andrea Cardaci <[email-masked]> writes:

    > On Thu, 5 Dec 2019 at 08:51, Colin Baxter <[email-masked]> wrote:
    >> Today's pull from master reads my ~/.Xdefaults satisfactorily.

    > Hi Colin,

    > The only way here is to put my file in ~/.Xdefaults/hostname.
    > According to strace, the .Xdefault file (no -hostname suffix) is
    > never read. Could you try with strace too?

    > I suspect that you have loaded that file with xrdb -load so Emacs
    > uses the database and not the actual file.

I've done Ctl-Alt <f1> to log in on a new tty, with a different window
manager (stumpwm). The output of strace is what I'd expect - I've redacted
my user and host names:

[pid  7771] open("/home/username/.Xdefaults", O_RDONLY) = 10
[pid  7771] open("/home/username/.Xdefaults-host", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid  7771] open("/home/username/.Xdefaults", O_RDONLY) = 10
[pid  7771] open("/home/username/.Xdefaults/host", O_RDONLY) = -1 ENOTDIR (Not a directory)

I only have ~/.Xdefaults and no ~/.Xdefaults/host or ~/.Xdefaults/host
files.

Hope this helps.

Best wishes,